#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_QianDaoData
{
	//天数
	int mDay;
	//奖励物品ID
	std::vector<int> mItemId;
	//奖励物品数量
	std::vector<int> mItemNumber;
};

class M_QianDao
{
public:
private:
	static std::auto_ptr<M_QianDao> msSingleton;
public:
	int GetCount();
	const M_QianDaoData* GetData(int Day);
	boost::unordered_map<int, M_QianDaoData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_QianDao* GetSingleton();
private:
	boost::unordered_map<int, M_QianDaoData> mMapData;
};
